package cn.com.qmth.am.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;

import cn.com.qmth.am.bean.StudentVo;
import cn.com.qmth.am.dao.stmms.StmmsDao;
import cn.com.qmth.am.service.StmmsService;

@Service
@DS("data-source-stmms")
public class StmmsServiceImpl implements StmmsService {

    @Autowired
    private StmmsDao stmmsDao;

    @Override
    public List<Double> getMarkScore(Long studentId, Integer mainNumber) {
        return stmmsDao.getMarkScore(studentId, mainNumber);
    }

    @Override
    public List<StudentVo> getUploadStudent(Long examId, String subjectCode, Integer mainNumber, Integer limitCount) {
        return stmmsDao.getUploadStudent(examId, subjectCode, mainNumber, limitCount);
    }

}
